%define aurox_ver 	12.0
%define libname		ExtUtils-Depends
Name:           perl-%{libname}
Release:        1%{?dist}
Version:        0.205
Packager:       Jakub Wojnowski <jwojnowski@aurox.org>
Group:          Development/Libraries
Summary:        Easily build XS extensions that depend on XS extensions
License:        GPL / Artistic
Url:            http://www.cpan.org/
BuildArch:      noarch

BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}
Requires:       perl
Source0:	http://search.cpan.org/CPAN/authors/id/R/RM/RMCFARLA/Gtk2-Perl/ExtUtils-Depends-0.205.tar.gz

%description
This module tries to make it easy to build Perl extensions that use functions 
and typemaps provided by other perl extensions. This means that a perl 
extension is treated like a shared library that provides also a C and an XS 
interface besides the perl one.

%prep
%setup -q -n %{libname}-%{version}
%{_bindir}/perldoc -t perlartistic > Artistic
%{_bindir}/perldoc -t perlgpl > COPYING

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
%{_bindir}/find $RPM_BUILD_ROOT -type f -name .packlist -exec %{__rm} -f {} ';'
%{_bindir}/find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
%{_bindir}/find $RPM_BUILD_ROOT -type d -depth -exec %{__rmdir} {} 2>/dev/null ';'

%{__chmod} -R u+w $RPM_BUILD_ROOT/*

%check
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Artistic COPYING Changes
%{perl_vendorarch}/*
%{_mandir}/man3/*.3*
%{_libdir}/*


%changelog
* Mon May 22 2006 Jakub Wojnowski <jwojnowski@aurox.org>
- initial release
